Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.servlets.jsp.taglib
Class CreateResourceURLTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.CreateResourceURLTag

public class CreateResourceURLTag
extends javax.servlet.jsp.tagext.TagSupport

JSP Tag implementation for genrating the webflow urls in a JSP page.

See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`CreateResourceURLTag()`

Method Summary
`int` | `doStartTag()` Look up the value and status in the http session and return them.
`java.lang.String` | `getEncode()`
`java.lang.String` | `getEscape()`
`java.lang.String` | `getId()`
`java.lang.String` | `getResource()` Get the value of resource.
`void` | `release()` Release this tag.
`void` | `setEncode(java.lang.String encode)`
`void` | `setEscape(java.lang.String escape)`
`void` | `setId(java.lang.String newId)`
`void` | `setResource(java.lang.String resource)` Set the value of resource.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateResourceURLTag

    public CreateResourceURLTag()

Method Detail

### release

    public void release()

  Release this tag.

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Look up the value and status in the http session and return them.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### getId

    public java.lang.String getId()

  Overrides:
    getId in class javax.servlet.jsp.tagext.TagSupport

### setId

    public void setId(java.lang.String newId)

  Overrides:
    setId in class javax.servlet.jsp.tagext.TagSupport

### getResource

    public java.lang.String getResource()

  Get the value of resource.

  Returns:
    Value of resource.

### setResource

    public void setResource(java.lang.String resource)

  Set the value of resource.

  Parameters:
    `resource` - Value to assign to resource.

### getEncode

    public java.lang.String getEncode()

### setEncode

    public void setEncode(java.lang.String encode)

### getEscape

    public java.lang.String getEscape()

### setEscape

    public void setEscape(java.lang.String escape)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved